## dewarp dewarp |

## Properties

GstDewarpDisplayMode | display-mode | Read / Write
gdouble | inner-radius | Read / Write
GstDewarpInterpolationMode | interpolation-method | Read / Write
gdouble | outer-radius | Read / Write
gdouble | x-center | Read / Write
gdouble | x-remap-correction | Read / Write
gdouble | y-center | Read / Write
gdouble | y-remap-correction | Read / Write

## Types and Values

struct | GstDewarp
enum | GstDewarpDisplayMode
enum | GstDewarpInterpolationMode

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseTransform
                        ╰── GstVideoFilter
                            ╰── GstOpencvVideoFilter
                                ╰── GstDewarp

## Description

Dewarp fisheye images

### Example launch line

    1
    gst-launch-1.0 videotestsrc ! videoconvert ! circle radius=0.1 height=80  ! dewarp outer-radius=0.35 inner-radius=0.1 ! videoconvert ! xvimagesink

## Synopsis

### Element Information

plugin | opencv
author | Nicola Murino <nicola.murino@gmail.com>
class | Filter/Effect/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string)RGBA, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/x-raw, format=(string)RGBA, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values

### struct GstDewarp

    struct GstDewarp;

### enum GstDewarpDisplayMode

#### Members

GST_DEWARP_DISPLAY_PANORAMA |  |
GST_DEWARP_DISPLAY_DOUBLE_PANORAMA |  |
GST_DEWARP_DISPLAY_QUAD_VIEW |  |

### enum GstDewarpInterpolationMode

#### Members

GST_DEWARP_INTER_NEAREST |  |
GST_DEWARP_INTER_LINEAR |  |
GST_DEWARP_INTER_CUBIC |  |
GST_DEWARP_INTER_LANCZOS4 |  |

## Property Details

### The `“display-mode”` property

      “display-mode”             GstDewarpDisplayMode

How to display the dewarped image.

Flags: Read / Write

Default value: Single panorama image

### The `“inner-radius”` property

      “inner-radius”             gdouble

Inner radius of the fisheye image donut. If outer radius <= inner radius the element will work in passthrough mode.

Flags: Read / Write

Allowed values: [0,1]

Default value: 0

### The `“interpolation-method”` property

      “interpolation-method”     GstDewarpInterpolationMode

Interpolation method to use.

Flags: Read / Write

Default value: A bilinear interpolation

### The `“outer-radius”` property

      “outer-radius”             gdouble

Outer radius of the fisheye image donut. If outer radius <= inner radius the element will work in passthrough mode.

Flags: Read / Write

Allowed values: [0,1]

Default value: 0

### The `“x-center”` property

      “x-center”                 gdouble

X axis center of the fisheye image.

Flags: Read / Write

Allowed values: [0,1]

Default value: 0.5

### The `“x-remap-correction”` property

      “x-remap-correction”       gdouble

Correction factor for remapping on x axis. A correction is needed if the fisheye image is not inside a circle.

Flags: Read / Write

Allowed values: [0.1,10]

Default value: 1

### The `“y-center”` property

      “y-center”                 gdouble

Y axis center of the fisheye image.

Flags: Read / Write

Allowed values: [0,1]

Default value: 0.5

### The `“y-remap-correction”` property

      “y-remap-correction”       gdouble

Correction factor for remapping on y axis. A correction is needed if the fisheye image is not inside a circle.

Flags: Read / Write

Allowed values: [0.1,10]

Default value: 1